const response = await fetch(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/user/booker-user-123',
{
method: 'DELETE',
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
console.log(response.status);
import requests
response = requests.delete(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/user/booker-user-123',
headers={'Authorization': 'APIKEY your-api-key'}
)
print(response.status_code)
Empty response body. Association removed successfully.
{
"code": -125,
"message": "Bad input data",
"moreInfo": "Could not find a valid user",
"errorList": null
}
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}
Third-Party Permissions
Disassociate from Customer
Remove a customer association from a token. The customer will no longer have access to perform actions on this token.
DELETE
/
api
/
payments
/
paycard
/
{cardToken}
/
user
/
{userID}
const response = await fetch(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/user/booker-user-123',
{
method: 'DELETE',
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
console.log(response.status);
import requests
response = requests.delete(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/user/booker-user-123',
headers={'Authorization': 'APIKEY your-api-key'}
)
print(response.status_code)
Empty response body. Association removed successfully.
{
"code": -125,
"message": "Bad input data",
"moreInfo": "Could not find a valid user",
"errorList": null
}
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}
Third-Party Permissions Guide
Learn how to share tokens with other PCI Booking customers
Error Responses
| Code | HTTP Status | Condition |
|---|---|---|
| -1003 | 401 | User is not the owner |
| -125 | 400 | UserId not found |
| -150 | 500 | Disassociation failed |
Parameters
Headers
string
required
Your API key prefixed with
APIKEY. Example: APIKEY your-api-key. See the Authentication guide.Path Parameters
string
required
The token ID as returned by one of the tokenization methods.
string
required
The user ID of the PCI Booking customer (“Booker”) that the token should be disassociated from. You will need to collect this userID from the booker you wish to disassociate.
const response = await fetch(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/user/booker-user-123',
{
method: 'DELETE',
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
console.log(response.status);
import requests
response = requests.delete(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/user/booker-user-123',
headers={'Authorization': 'APIKEY your-api-key'}
)
print(response.status_code)
Response
200 - Association removed. Empty response body.Empty response body. Association removed successfully.
{
"code": -125,
"message": "Bad input data",
"moreInfo": "Could not find a valid user",
"errorList": null
}
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}

